$1    FUNCTION [dbo].[fn_StokMaliyet] (@stokKod varchar(25)='',
@barkod nvarchar(25)='',
@depo int,--0 tüm depolar
@tarih datetime,
@vergiDahil int =1)
RETURNS float
AS
BEGIN--1:FİŞ 2:SATIŞ FAT 3:İADE 4:BELGE IPTAL  5:ALIŞ FATURASI  9: DEPOLAR ARASI SEVK
DECLARE @VAL As Float
IF @vergiDahil=0-- vergi hariç
BEGIN

SELECT TOP 1 @VAL= (
CASE 
	WHEN (SELECT TOP 1 evr_kdv_dahil FROM EVRAK_UST_BILGI WHERE evr_RECno=har_evrak_rec_id)=1 
	THEN 
		har_fiyat-har_kdv_tutar-((har_satir_iskonto_tutar1+har_satir_iskonto_tutar2+har_satir_iskonto_tutar3+har_satir_iskonto_tutar4+har_satir_iskonto_tutar5)/ISNULL(NULLIF(har_miktar,0),1))
	ELSE
		har_fiyat-((har_satir_iskonto_tutar1+har_satir_iskonto_tutar2+har_satir_iskonto_tutar3+har_satir_iskonto_tutar4+har_satir_iskonto_tutar5)/ISNULL(NULLIF(har_miktar,0),1)) END)
FROM   dbo.EVRAK_UST_BILGI WITH (NOLOCK)
LEFT OUTER JOIN EVRAK_HAREKET_BILGI  ON EVRAK_UST_BILGI.evr_RECno=har_evrak_rec_id and har_Satir_tip=0
WHERE  CAST(evr_evrak_tarih AS date)<=@tarih AND 
((@stokKod!='' AND har_stok_kodu=@stokKod) OR (@barkod!='' AND har_barkod=@barkod)) AND
(evr_magaza_kod=@depo or @depo=0) AND evr_belge_tur=5
ORDER BY evr_create_date desc

END
ELSE-- vergi dahil
BEGIN
SELECT TOP 1 @VAL= har_yekun/ISNULL(NULLIF(har_miktar,0),1)
FROM   dbo.EVRAK_UST_BILGI WITH (NOLOCK)
LEFT OUTER JOIN EVRAK_HAREKET_BILGI  ON EVRAK_UST_BILGI.evr_RECno=har_evrak_rec_id and har_Satir_tip=0
WHERE  CAST(evr_evrak_tarih AS date)<=@tarih AND 
((@stokKod!='' AND har_stok_kodu=@stokKod) OR (@barkod!='' AND har_barkod=@barkod)) AND
(evr_magaza_kod=@depo or @depo=0) AND evr_belge_tur=5
ORDER BY evr_create_date desc
END
IF @VAL is NULL SET @VAL=0
RETURN ROUND(@VAL,2)
END
